Bug 10015 - ypserv memory leak?
Summary: ypserv memory leak?
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ypserv (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-03-06 20:35 UTC by Juergen Heerdegen
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-19 12:03:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Juergen Heerdegen 2000-03-06 20:35:13 UTC
After start up, ypserv seems to consume memory in ever increasing amounts.
After a while, it will take up so much memory that it and other services
will begin dying off.

From top:

  PID USER     PRI  NI  SIZE  RSS SHARE STAT  LIB %CPU %MEM   TIME COMMAND
14119 root      11   0 17308  16M   496 S       0 10.3 13.5  43:59 ypserv

I'm told that ypserv should typically not take up more than about 2-3MB of
memory.

Comment 1 Jeff Johnson 2000-03-07 13:06:59 UTC
Make sure that you the latest glibc, as there was memory leak in gethostbyname()
IIRC.


Note You need to log in before you can comment on or make changes to this bug.